Bug 1460529 - pkg_resources.DistributionNotFound: The 'future!=0.16.0' distribution was not found and is required by bugwarrior
pkg_resources.DistributionNotFound: The 'future!=0.16.0' distribution was not...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bugwarrior (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ralph Bean
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-11 19:07 EDT by Ankur Sinha (FranciscoD)
Modified: 2017-07-17 16:20 EDT (History)
1 user (show)

See Also:
Fixed In Version: bugwarrior-1.5.1-3.fc26 bugwarrior-1.5.1-3.fc24 bugwarrior-1.5.1-3.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-17 11:51:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2017-06-11 19:07:37 EDT
Description of problem:
bugwarrior won't run :(


Version-Release number of selected component (if applicable):
bugwarrior-1.5.1-1.fc26.noarch

How reproducible:
Always

Steps to Reproduce:
1. run bugwarrior-pull --help
2.
3.

Actual results:
Crashes

Expected results:
Should function

Additional info:
[asinha@ankur  ~]$ bugwarrior-pull --help
Traceback (most recent call last):
  File "/usr/bin/bugwarrior-pull", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3036, in <module>
    @_call_aside
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3020, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3049, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 656, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 669, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 854, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'future!=0.16.0' distribution was not found and is required by bugwarrior
[asinha@ankur  ~]$ rpm -q bugwarrior
bugwarrior-1.5.1-1.fc26.noarch
[asinha@ankur  ~]$ rpm -qa \*future\*
python3-future-0.16.0-4.fc26.noarch
python2-future-0.16.0-4.fc26.noarch
[asinha@ankur  ~]$
Comment 1 Fedora Update System 2017-06-12 11:56:19 EDT
bugwarrior-1.5.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fc99988864
Comment 2 Fedora Update System 2017-06-12 11:56:26 EDT
bugwarrior-1.5.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-35dd95b8ff
Comment 3 Fedora Update System 2017-06-12 11:56:31 EDT
bugwarrior-1.5.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3e4d60595d
Comment 4 Ralph Bean 2017-06-12 15:03:14 EDT
Any luck with those new Bodhi updates FranciscoD?
Comment 5 Ankur Sinha (FranciscoD) 2017-06-12 16:35:21 EDT
(In reply to Ralph Bean from comment #4)
> Any luck with those new Bodhi updates FranciscoD?

Yep :D - fixes this one but I think python2-configparser is needed as a Requires too. Otherwise, I get: `ImportError: No module named configparser`

Thanks for the quick fix! :)
Comment 6 Fedora Update System 2017-06-13 21:36:35 EDT
bugwarrior-1.5.1-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3e4d60595d
Comment 7 Fedora Update System 2017-06-14 04:26:48 EDT
bugwarrior-1.5.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-35dd95b8ff
Comment 8 Fedora Update System 2017-06-14 04:28:22 EDT
bugwarrior-1.5.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fc99988864
Comment 9 Fedora Update System 2017-06-19 14:21:58 EDT
bugwarrior-1.5.1-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c363da2002
Comment 10 Fedora Update System 2017-06-19 14:22:07 EDT
bugwarrior-1.5.1-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6839741f6b
Comment 11 Fedora Update System 2017-06-19 14:22:12 EDT
bugwarrior-1.5.1-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e212aebdef
Comment 12 Fedora Update System 2017-06-20 23:55:44 EDT
bugwarrior-1.5.1-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c363da2002
Comment 13 Fedora Update System 2017-06-21 00:27:20 EDT
bugwarrior-1.5.1-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6839741f6b
Comment 14 Fedora Update System 2017-06-21 02:21:27 EDT
bugwarrior-1.5.1-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e212aebdef
Comment 15 Fedora Update System 2017-07-17 11:51:29 EDT
bugwarrior-1.5.1-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2017-07-17 15:18:04 EDT
bugwarrior-1.5.1-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2017-07-17 16:20:34 EDT
bugwarrior-1.5.1-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.